Bug 124333 - should require xorg-x11-devel
should require xorg-x11-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeglut (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 14:13 EDT by James Popel
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 07:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Popel 2004-05-25 14:13:21 EDT
freeglut-devel requires the gl headers in xorg-x11-devel, but the rpm
isn't enforcing this.
Comment 1 Mike A. Harris 2004-06-23 22:07:18 EDT
This brings up a bigger problem to light, where anything that currently
requires libGL to build has to require the X devel package, however
it's entirely possible that an alternate libGL could be installed
which provides the functionality.

The best way to fix this is probably for me to add a virtual provide
to the X -libs package of "Provides: libGL = 1.3", and a virtual
require in packages needing it (shouldn't be any, autoreqprov should
pick them up).  Similar dep for -devel package, only it would be
libGL-devel instead.

Making this change to X and freeglut would be the first step to
fixing this for all OpenGL apps (that use freeglut or not).

Will update soon...
Comment 2 Mike A. Harris 2004-07-05 13:53:55 EDT
I think the best solution for the freeglut package for now is to
BuildRequire the gl header file.  That way the freeglut package
will compile with X.Org Mesa's libGL, XFree86's Mesa libGL, or
any other libGL that has developmental headers installed.  I'll make
that change in the next build.

I've also added libGL virtual provides to xorg, but XFree86 packaging
doesn't have it yet, so I'd prefer to keep freeglut working with all
X implementations and libGL implementations.

I'll update this again when I've built the package in rawhide.

Comment 3 Mike A. Harris 2004-09-23 07:30:43 EDT
I fixed this quite a while ago, but seem to have forgotten to
close the report.

Setting status to "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.